46 thoughts on “Plugins

  1. Hello i’ve been toying with this for the last couple of days but no matter what i do i get the missing capsimg message when i start uae.I have fs-uae-portable-suite_2.7.7dev_macosx_x86.I then created a folder named plugins in the uae portable folder in which i put capsimg.so.

      • It’s not working here either. And worse: it stopped working, out of the blue, since it worked before. OS X also.

        • I’m guessting you have the x86-64 version of FS-UAE and x86 version of the plugin – or the other way around. The CPU architectures of FS-UAE and the plugin need to match!

          • Well… I just triple-checked it. My OS X is the latest El Cap 64 bit, and I put a fresh copy of the capsimg_macosx_x86-64 on the plugins folder. No luck. 🙁

        • Bingo! Haven’t noticed the different link for 64 bit on the dev version… Bummer.

          Thanks a lot!

          • In the near future, I will include both 32-bit and 64-bit version of the plugins in the same archive to avoid this problem 🙂

      • In fact my first attempt i did extract the archive directly into the created plugins folder as instructed but it did not work so i then tried the capsimg.so.I later realized that only the dev version supported the plugins so downloaded it and dragged the capsimg.so into the plugin folder and also extracted the archive directly but still no joy.Because i had both in the folder it prevented it from working.I just deleted the capsimg.so and it is now working perfectly.Thanks so much for your help!

    • Hi, you need to provide more details. Exactly what steps have you already performed, and what version of FS-UAE are you using?

  2. Nevermind 🙂 I got it working with the SteamOS plugin !
    Since Im using 32bit fs-uae due to JIT I had to install a extra package for 32bit that was missing.
    Log and google on package name solved the problem.. !

  3. I couldnt get the SteamOS ppc plugin to work 🙁 Can you compile a binary for Linux Mint 17.2 ? 🙁
    Trying to get OS41FE going 🙂

  4. Hi,

    when I try to load qemu-uae, i get following in the log:

    PPC: Loading QEmu implementation
    PLUGIN: Looking up “qemu-uae”
    PLUGIN: Checking “/Volumes/BigX/gogo/Desktop/Emulacija/fs-uae-2.4-macosx/FS-UAE Launcher.app/Contents/MacOS/../FS-UAE.app/Contents/MacOS/qemu-uae.so”
    PLUGIN: Checking “/Volumes/BigX/gogo/Documents/FS-UAE/Plugins/qemu-uae.so”
    DLOPEN: dlopen(/Volumes/BigX/gogo/Documents/FS-UAE/Plugins/qemu-uae_macosx_x86/3.6.0qemu2.2.0fs1/qemu-uae.so, 2): no suitable image found. Did find:
    /Volumes/BigX/gogo/Documents/FS-UAE/Plugins/qemu-uae_macosx_x86/3.6.0qemu2.2.0fs1/qemu-uae.so: mach-o, but wrong architecture
    DLOPEN: Failed to open /Volumes/BigX/gogo/Documents/FS-UAE/Plugins/qemu-uae_macosx_x86/3.6.0qemu2.2.0fs1/qemu-uae.so
    WARNING: Error loading qemu-uae plugin

    WARNING: PPC: Error loading qemu-uae plugin

    I’m on OS X 10.10.5 with 2.7.1dev.

    Best regards,
    Goran

  5. Cannot get the IPF Support Plugin to work. I am running Linux Mint 17.2 64 bit. Using your repository, installed fs-uae, fs-uae-launcher and fs-uae-arcade. It all works like a charm. Many thanks to you. I just cannot get the IPF support going. I am probably missing something. It seems to be in your repository as well, but I can’t find it anywhere on my hard drive. Where can it be found? Also, the archive for steam up there does not work, either. What am I missing? Thanks for any help on this.

    • Hi, sorry, I actually haven’t compiled/published the (non-steam) Linux IPF support plugin yet. The IPF support which was earlier available in the PPA was removed due to licensing issues, so I need to create a separate download for it. I’ll try to make these available shortly (should have been available for the 2.6.1 launch, really).

    • Hi Michael and Frode,

      I had the same issue (on Kubuntu), and solved it this way:

      Make sure you have package libfs-capsimage4 installed. You should have the following file present on your system:
      /usr/lib/libfs-capsimage.so.4

      if not, ‘sudo apt-get install libfs-capsimage4’

      Just link it in your Plugins directory, and name the link libcapsimage.so

      ln -s /usr/lib/libfs-capsimage.so.4 ~/Documents/FS-UAE/Plugins/libcapsimage.so

      This way, you don’t need to compile, and you’re sure the library is the same architecture as your system (x86 ou x86-64).

      But… this package comes from Frode’s PPA. As Frode says he removed the library due to licensing issues, I guess this solution will soon become deprecated.

      @Frode: you confirm?

  6. What am I doing wrong… For some reason I get “ipf plugin not installed”. I tried the steamos version and tried compiling from source, but still no ipf support. I’m on Ubuntu 14.04 x64.

    • Hi, the “SteamOS” plugin only works with the SteamOS distribution of FS-UAE (which you can also use on Ubuntu). If you are using the Ubuntu PPA version of FS-UAE then you need the “Linux” version. The generic Linux plugin was not available when you posted this comment, but it is now!

      So just go to http://fs-uae.net/plugins and download the x86-64 version for Linux 🙂

  7. I have compiled from source and create those dirs

    $HOME/Documents/FS-UAE/Plugins/qemu-uae/3.6.0qemu2.2.0/qemu-uae.so

    and

    /usr/lib/fs-uae/plugins/qemu-uae/3.6.0qemu2.2.0/qemu-uae.so
    /usr/lib64/fs-uae/plugins/qemu-uae/3.6.0qemu2.2.0/qemu-uae.so

    but when i launch fs-uae-launcher the plugin is not loaded,not appear in any log file

    • Hi, you also need to create $HOME/Documents/FS-UAE/Plugins/qemu-uae/plugin.ini, which must (in your case) have the following content:

      [plugin]
      version = 3.6.0qemu2.2.0

      (the version number must match the sub-directory name).

      • I already did it,but nothing change
        here’s my directory now

        Plugins/
        Plugins/qemu-uae
        Plugins/qemu-uae/3.6.0qemu2.2.0
        Plugins/qemu-uae/3.6.0qemu2.2.0/qemu-uae.so
        Plugins/qemu-uae/plugin.ini

        plugin.ini has
        [plugin]
        version = 3.6.0qemu2.2.0

        • No, you need to use the latest development version! 2.4.x does not have any PPC support at all (and does not use the plugin system either).

          • Thanks.
            I’m compiling now python3 for user launcher of latest devel

  8. Pingback: FS-UAE emulacja karty PPC | krzych

  9. Hello,
    I am with Debian/Wheezy .. I have FS-UAE running and it is all fine. I am not very familiar with GIT, but compiling is no problem for me. I tried sometimes to compile the PPC-Plugin for Linux, but no chance. Is there somewhere a help for compiling this the easy way with all deps given or a ready Plugin for this System. I searched but no luck.
    The Reason is that I want to try OS4.1 (Classic Edition)..

    thanks in advance …

    Tobias Newe

    • Hi, compiling QEMU-UAE does not really need any exotic setup, but it requires the FS-UAE source code (a few headers from it) in order to compile. I have created a wrapper git repository which makes it easier to compile (it contains the needed headers, so there’s no dependency on the FS-UAE source code). Please check out https://github.com/FrodeSolheim/fs-uae-plugin-qemu-uae 🙂 (remember to read README.md)

      • Got it .. A little crash course in Git made it, all compiled fine. There were some deps missing, but that was no problem.. little hook was libtool-dev to find. I installed OS41 once, all runs well ;PPC and Picasso IV .. no stuttering Sound after little test .. I am on SteamOS, so I made a Desktop-switch with dbus replacing the Gnome3 for now, works good. Searching for shutdown commando for OS4.1, only found a reboot. I give you here a little Status-Link when I tested and installed more things…

        ..thanks for all

        Tobias Newe / Ivan

Leave a Reply

Your email address will not be published. Required fields are marked *